/*
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.gui;

import java.awt.Color;

import javax.swing.JToolTip;


/**
 * Inspired by "Multi-line ToolTip" artical by Zafir Anjum
 * at http://www.codeguru.com/java/articles/122.shtml 
 * 
 * @author Jeff Michaud
 */

public class SwingToolTip extends JToolTip {
	
	public SwingToolTip() {
		updateUI();
		setForeground(Color.black);
		setBackground(Color.white);
	}
	
	public SwingToolTip(Color foregroundColor, Color backgroudColor) {
		updateUI();
		setForeground(foregroundColor);
		setBackground(backgroudColor);
	}

	public void updateUI() {
		setUI(SwingMultiLineToolTipUI.createUI(this));
	}

}

